AnnotationParser.MyAnnotationVisitor (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.annotations

## Class AnnotationParser.MyAnnotationVisitor

- java.lang.Object
- - org.eclipse.jetty.annotations.AnnotationParser.MyAnnotationVisitor

- All Implemented Interfaces:
    org.objectweb.asm.AnnotationVisitor
  Enclosing class:
    AnnotationParser

      public class AnnotationParser.MyAnnotationVisitor
      extends Object
      implements org.objectweb.asm.AnnotationVisitor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationParser.MyAnnotationVisitor(String annotationName, List<AnnotationParser.Value> values)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AnnotationParser.Value>` | `getAnnotationValues()`
    `void` | `visit(String aname, Object avalue)` Visit a single-valued (name,value) pair for this annotation
    `org.objectweb.asm.AnnotationVisitor` | `visitAnnotation(String name, String desc)` Visit a (name,value) pair whose value is another Annotation
    `org.objectweb.asm.AnnotationVisitor` | `visitArray(String name)` Visit an array valued (name, value) pair for this annotation
    `void` | `visitEnd()`
    `void` | `visitEnum(String name, String desc, String value)` Visit a enum-valued (name,value) pair for this annotation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationParser.MyAnnotationVisitor

          public AnnotationParser.MyAnnotationVisitor(String annotationName,
                                              List<AnnotationParser.Value> values)

  - ### Method Detail

    - #### getAnnotationValues

          public List<AnnotationParser.Value> getAnnotationValues()

    - #### visit

          public void visit(String aname,
                   Object avalue)

      Visit a single-valued (name,value) pair for this annotation
      Specified by:
        `visit` in interface `org.objectweb.asm.AnnotationVisitor`
      See Also:
        `AnnotationVisitor.visit(java.lang.String, java.lang.Object)`

    - #### visitAnnotation

          public org.objectweb.asm.AnnotationVisitor visitAnnotation(String name,
                                                            String desc)

      Visit a (name,value) pair whose value is another Annotation
      Specified by:
        `visitAnnotation` in interface `org.objectweb.asm.AnnotationVisitor`
      See Also:
        `AnnotationVisitor.visitAnnotation(java.lang.String, java.lang.String)`

    - #### visitArray

          public org.objectweb.asm.AnnotationVisitor visitArray(String name)

      Visit an array valued (name, value) pair for this annotation
      Specified by:
        `visitArray` in interface `org.objectweb.asm.AnnotationVisitor`
      See Also:
        `AnnotationVisitor.visitArray(java.lang.String)`

    - #### visitEnum

          public void visitEnum(String name,
                       String desc,
                       String value)

      Visit a enum-valued (name,value) pair for this annotation
      Specified by:
        `visitEnum` in interface `org.objectweb.asm.AnnotationVisitor`
      See Also:
        `AnnotationVisitor.visitEnum(java.lang.String, java.lang.String, java.lang.String)`

    - #### visitEnd

          public void visitEnd()

      Specified by:
        `visitEnd` in interface `org.objectweb.asm.AnnotationVisitor`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.